Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message.stream
Interface EncryptedMessageOutputStreamSpi

All Superinterfaces:
  MessageOutputStreamSpi

public interface EncryptedMessageOutputStreamSpi
extends MessageOutputStreamSpi

Service provider interface for EncryptedMessageOutputStream

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Method Summary
`void` | `engineAddRecipient(KeyBundle bundle)` Adds a keybundle recipient
`void` | `engineAddRecipient(java.security.PublicKey publickey)` Adds a public key recipient
`void` | `engineAddRecipient(javax.crypto.SecretKey symmetrickey)` Adds a symmetric key recipient
`void` | `engineAddRecipient(java.lang.String passphrase)` Adds a passphrase recipient

Methods inherited from interface cryptix.message.stream.MessageOutputStreamSpi
`engineClose, engineFlush, engineInit, engineSetAttribute, engineWrite, engineWrite, engineWrite`

Method Detail

### engineAddRecipient

    public void engineAddRecipient(java.security.PublicKey publickey)
                            throws java.lang.IllegalStateException,
                                   java.lang.UnsupportedOperationException,
                                   java.io.IOException,
                                   MessageStreamException

  Adds a public key recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if data has already been streamed
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to public keys.
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public void engineAddRecipient(KeyBundle bundle)
                            throws java.lang.IllegalStateException,
                                   java.lang.UnsupportedOperationException,
                                   java.io.IOException,
                                   MessageStreamException

  Adds a keybundle recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if data has already been streamed
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to public keys.
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public void engineAddRecipient(javax.crypto.SecretKey symmetrickey)
                            throws java.lang.IllegalStateException,
                                   java.lang.UnsupportedOperationException,
                                   java.io.IOException,
                                   MessageStreamException

  Adds a symmetric key recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if data has already been streamed
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to symmetric keys.
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

### engineAddRecipient

    public void engineAddRecipient(java.lang.String passphrase)
                            throws java.lang.IllegalStateException,
                                   java.lang.UnsupportedOperationException,
                                   java.io.IOException,
                                   MessageStreamException

  Adds a passphrase recipient

  Throws:
    `InvalidStateException` - if this message has not been initialized properly or if the build() method has been called
    `java.lang.UnsupportedOperationException` - if this particular format does not support encrypting messages to passphrases.
    `java.io.IOException` - on a general IOException that is not format specific.
    `MessageStreamException` - on a variety of format specific problems.
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.